Переполнение буфера в FSD

Дата публикации:
02.10.2007
Дата изменения:
05.10.2007
Всего просмотров:
1098
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
FSFDT FSD 3.x
Уязвимые версии:
FSD 2.052 d9, возможно более ранние версии.
FSFDT FSD 3.0000 d9, возможно более ранние версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю вызвать отказ в обслуживании или выполнить произвольный код на целевой системе.

1. Уязвимость существует из-за ошибки проверки границ данных в функции "sysuser::exechelp()" в файле sysuser.cc. Удаленный пользователь может подключиться на порт 3010/TCP, отправить команду "help" со слишком длинным параметром, вызвать переполнение буфера и выполнить произвольный код на целевой системе. Пример:

HELP aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa[более 100]

2. Уязвимость существует из-за ошибки проверки границ данных в функции "servinterface::sendmulticast()" файла servinterface.cc. Удаленный авторизованный пользователь может подключиться на порт 6809/TCP, послать специально сформированные команды уязвимому серверу, вызвать переполнение буфера и выполнить произвольный код на целевой системе. Пример:

#AAcallsign::ident:CID:PASSWORD:1:9
$PIcallsign:aaaaaaaaaaaaaaaaaaaaaaaaaaaaa[более 100]

URL производителя: www.mcdu.com/en/index.php

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: FSFDT v3.000 d9 (HELP) Remote Buffer Overflow Exploit

или введите имя

CAPTCHA